Obtener Estado del Pedido
curl --request GET \
--url https://api.zenflow.com.ar/api/v1/orders/{id}/status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.zenflow.com.ar/api/v1/orders/{id}/status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.zenflow.com.ar/api/v1/orders/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"order_id": 123,
"external_id": "<string>",
"state_id": 123,
"state_picking_id": 123,
"updated_at": "<string>"
}
}Pedidos
Obtener Estado del Pedido
Obtener el estado actual de un pedido
GET
/
api
/
v1
/
orders
/
{id}
/
status
Obtener Estado del Pedido
Obtener Estado del Pedido
Obtén el estado actual de un pedido.Requiere scope
read:orders.Solicitud
GET /api/v1/orders/{id}/status
Parámetros de Ruta
integer
required
El ID del pedido
Respuesta
boolean
Si la solicitud fue exitosa
object
Ejemplo
curl -X GET "https://api.zenflow.com.ar/api/v1/orders/12345/status" \
-H "X-API-Key: zenflow_live_your_key"
const response = await fetch(
"https://api.zenflow.com.ar/api/v1/orders/12345/status",
{
headers: { "X-API-Key": "zenflow_live_your_key" },
}
);
const data = await response.json();
import requests
response = requests.get(
'https://api.zenflow.com.ar/api/v1/orders/12345/status',
headers={'X-API-Key': 'zenflow_live_your_key'}
)
Respuesta
{
"success": true,
"data": {
"order_id": 12345,
"external_id": "ORD-001",
"state_id": 2,
"state_picking_id": 1,
"updated_at": "2024-01-14T15:30:00Z"
}
}
Estados del Pedido
| ID Estado | Nombre | Descripción |
|---|---|---|
| 1 | Pending | Pedido recibido, esperando procesamiento |
| 2 | In Progress | Pedido en proceso de picking |
| 3 | Packed | Pedido empacado y listo |
| 4 | Completed | Pedido enviado |
| 5 | Cancelled | Pedido cancelado |
⌘I

